Bug 615462 (CVE-2010-1214) - CVE-2010-1214 Mozilla Plugin parameter EnsureCachedAttrParamArrays remote code execution vulnerability
Summary: CVE-2010-1214 Mozilla Plugin parameter EnsureCachedAttrParamArrays remote cod...
Status: CLOSED ERRATA
Alias: CVE-2010-1214
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100720,reported=20100714,sou...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-16 19:19 UTC by Josh Bressers
Modified: 2019-06-08 13:03 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-12 18:12:19 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0544 normal SHIPPED_LIVE Moderate: thunderbird security update 2010-07-21 01:39:35 UTC
Red Hat Product Errata RHSA-2010:0545 normal SHIPPED_LIVE Critical: thunderbird security update 2010-07-21 01:18:47 UTC
Red Hat Product Errata RHSA-2010:0546 normal SHIPPED_LIVE Critical: seamonkey security update 2010-07-21 00:43:03 UTC
Red Hat Product Errata RHSA-2010:0547 normal SHIPPED_LIVE Critical: firefox security update 2010-07-21 01:09:15 UTC

Description Josh Bressers 2010-07-16 19:19:27 UTC
Security researcher J23 reported via TippingPoint's Zero Day Initiative an
error in the code used to store the names and values of plugin parameter
elements. A malicious page could embed plugin content containing a very
large number of parameter elements which would cause an overflow in the
integer value counting them. This integer is later used in allocating a
memory buffer used to store the plugin parameters. Under such conditions,
too small a buffer would be created and attacker-controlled data could be
written past the end of the buffer, potentially resulting in code
execution.

Comment 1 Vincent Danen 2010-07-20 23:59:25 UTC
This is now public:http://www.mozilla.org/security/announce/2010/mfsa2010-37.html

Comment 2 errata-xmlrpc 2010-07-21 00:43:15 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2010:0546 https://rhn.redhat.com/errata/RHSA-2010-0546.html

Comment 3 errata-xmlrpc 2010-07-21 01:09:35 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0547 https://rhn.redhat.com/errata/RHSA-2010-0547.html

Comment 4 errata-xmlrpc 2010-07-21 01:19:19 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0545 https://rhn.redhat.com/errata/RHSA-2010-0545.html

Comment 5 errata-xmlrpc 2010-07-21 01:40:01 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0544 https://rhn.redhat.com/errata/RHSA-2010-0544.html

Comment 6 Fedora Update System 2010-07-23 02:30:36 UTC
seamonkey-2.0.6-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-07-23 02:35:59 UTC
xulrunner-1.9.2.7-1.fc13, firefox-3.6.7-1.fc13, mozvoikko-1.0-12.fc13, gnome-web-photo-0.9-10.fc13, perl-Gtk2-MozEmbed-0.08-6.fc13.15, gnome-python2-extras-2.25.3-20.fc13, galeon-2.0.7-30.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-07-23 02:42:18 UTC
seamonkey-2.0.6-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-07-23 02:46:00 UTC
xulrunner-1.9.1.11-1.fc12, firefox-3.5.11-1.fc12, gnome-web-photo-0.9-8.fc12, mozvoikko-1.0-11.fc12, perl-Gtk2-MozEmbed-0.08-6.fc12.14, gnome-python2-extras-2.25.3-19.fc12, galeon-2.0.7-24.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.